function value = kProximity(ref)
%KPROXIMITY   Get the value of the proximity sensors of Khepera
%
%value = kProximity(ref)
%  Return a vector of 8 values corresponding to the 8
%  proximity sensors of Khepera.
%  Use the reference obtained with kopen.

% Written by Yves Piguet, 8/98.

errmsg = 'none yet';
while errmsg
   reply = kcmd(ref,'N');
   [value,count,errmsg] = sscanf(reply,'n,%d,%d,%d,%d,%d,%d,%d,%d');
   if errmsg 
      disp('Error reading sensors.  Retrying...')
   end
end

